<?php
$template = <<<END
<!--foods10-slide:スライドショー-->
<aside id="mainimg" class="foods10_slide">
<!--{def item/image1_file}-->
<!--{def item/image1_video}-->
<div class="slide slide1"><video src="user_data/{val item/image1_file}" autoplay loop muted playsinline></video></div>
<!--{/def}-->
<!--{ndef item/image1_video}-->
<div class="slide slide1" style="background: url('user_data/{val item/image1_file}') no-repeat center center / cover;"></div>
<!--{/ndef}-->
<!--{/def}-->
<!--{def item/image2_file}-->
<!--{def item/image2_video}-->
<div class="slide slide2"><video src="user_data/{val item/image2_file}" autoplay loop muted playsinline></video></div>
<!--{/def}-->
<!--{ndef item/image2_video}-->
<div class="slide slide2" style="background: url('user_data/{val item/image2_file}') no-repeat center center / cover;"></div>
<!--{/ndef}-->
<!--{/def}-->
<!--{def item/image3_file}-->
<!--{def item/image3_video}-->
<div class="slide slide3"><video src="user_data/{val item/image3_file}" autoplay loop muted playsinline></video></div>
<!--{/def}-->
<!--{ndef item/image3_video}-->
<div class="slide slide3" style="background: url('user_data/{val item/image3_file}') no-repeat center center / cover;"></div>
<!--{/ndef}-->
<!--{/def}-->
<!--{def item/image4_file}-->
<!--{def item/image4_video}-->
<div class="slide slide4"><video src="user_data/{val item/image4_file}" autoplay loop muted playsinline></video></div>
<!--{/def}-->
<!--{ndef item/image4_video}-->
<div class="slide slide4" style="background: url('user_data/{val item/image4_file}') no-repeat center center / cover;"></div>
<!--{/ndef}-->
<!--{/def}-->
<!--{def item/image5_file}-->
<!--{def item/image5_video}-->
<div class="slide slide5"><video src="user_data/{val item/image5_file}" autoplay loop muted playsinline></video></div>
<!--{/def}-->
<!--{ndef item/image5_video}-->
<div class="slide slide5" style="background: url('user_data/{val item/image5_file}') no-repeat center center / cover;"></div>
<!--{/ndef}-->
<!--{/def}-->
</aside>
END;

$foods10_slide = array(						// ブロック
		"title" => "foods10スライドショー",	// ブロックの名称
		"name" => "foods10_slide",			// 名称、重複すると正しく動作しません
		"template" => $template,		// ブロックのテンプレート
		"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=foods10_slide",
			"class" => "notice",
		),
			"notice1" => array(
				"title" => "このブロックはトップページにしか使えません",
				"type" => "comment",
				"class"=> "notice",
			),
			"image1" => array(
				"title" => "画像1",
				"type" => "file",
				"info" => "動画はmp4ファイルを使用してください",
			),
			"image2" => array(
				"title" => "画像2",
				"type" => "file",
				"info" => "動画はmp4ファイルを使用してください",
			),
			"image3" => array(
				"title" => "画像3",
				"type" => "file",
				"info" => "動画はmp4ファイルを使用してください",
			),
			"image4" => array(
				"title" => "画像4",
				"type" => "file",
				"info" => "動画はmp4ファイルを使用してください",
			),
			"image5" => array(
				"title" => "画像5",
				"type" => "file",
				"info" => "動画はmp4ファイルを使用してください",
			),
		),
		"func" => "func_foods10_slide",		// 処理プログラム（指定がない物は標準処理）
		"output" => "slide",		// 出力位置
	);

block_add($foods10_slide);

// スライドの設定
function func_foods10_slide($def, $info)
{
	$slide = array();
	if ($info["image1"]) {
		$f = Image::getData($info["image1"]);
		if ($f["filetype"] == "video/mp4") {
			$info["image1_video"] = "1";
		}
	}
	if ($info["image2"]) {
		$f = Image::getData($info["image2"]);
		if ($f["filetype"] == "video/mp4") {
			$info["image2_video"] = "1";
		}
	}
	if ($info["image3"]) {
		$f = Image::getData($info["image3"]);
		if ($f["filetype"] == "video/mp4") {
			$info["image3_video"] = "1";
		}
	}
	if ($info["image4"]) {
		$f = Image::getData($info["image4"]);
		if ($f["filetype"] == "video/mp4") {
			$info["image4_video"] = "1";
		}
	}
	if ($info["image5"]) {
		$f = Image::getData($info["image5"]);
		if ($f["filetype"] == "video/mp4") {
			$info["image5_video"] = "1";
		}
	}
	return $info;
}
